main.floors.MT25=
{
    "floorId": "MT25",
    "title": "魔塔 第25层",
    "name": "第 25 层",
    "width": 13,
    "height": 13,
    "canFlyTo": true,
    "canFlyFrom": true,
    "canUseQuickShop": true,
    "images": [],
    "ratio": 3,
    "defaultGround": "ground",
    "bgm": "section3.mp3",
    "firstArrive": [
        "\t[hero]杀死入侵者"
    ],
    "eachArrive": [],
    "parallelDo": "",
    "events": {},
    "changeFloor": {
        "1,11": {
            "floorId": ":next",
            "stair": "downFloor",
            "time": 0
        },
        "6,6": {
            "floorId": ":before",
            "stair": "upFloor",
            "time": 0
        }
    },
    "afterBattle": {
        "2,10": [
            {
                "type": "playSound",
                "name": "door.mp3"
            },
            {
                "type": "setBlock",
                "number": "23",
                "loc": [
                    [
                        7,
                        8
                    ]
                ]
            },
            {
                "type": "setBlock",
                "number": "23",
                "loc": [
                    [
                        5,
                        8
                    ]
                ]
            },
            {
                "type": "hide",
                "loc": [
                    [
                        6,
                        9
                    ]
                ],
                "time": 0
            },
            "\t[大法师分身,blackMagician]时间到了 你已被命运选中 如果你不怕死亡 你最终将通过时空来到我这里",
            "\t[hero]哦 什么 这只是个分身 这可能是个阴谋",
            {
                "type": "setBlock",
                "number": "1",
                "loc": [
                    [
                        5,
                        1
                    ]
                ],
                "floorId": "MT24"
            },
            {
                "type": "setBlock",
                "number": "1",
                "loc": [
                    [
                        7,
                        1
                    ]
                ],
                "floorId": "MT24"
            },
            {
                "type": "setBlock",
                "number": "redDoor",
                "loc": [
                    [
                        6,
                        2
                    ]
                ],
                "floorId": "MT24"
            },
            {
                "type": "setBlock",
                "number": "redDoor",
                "loc": [
                    [
                        6,
                        3
                    ]
                ],
                "floorId": "MT24"
            },
            {
                "type": "setBlock",
                "number": "0",
                "loc": [
                    [
                        6,
                        4
                    ]
                ],
                "floorId": "MT24"
            },
            {
                "type": "show",
                "loc": [
                    [
                        6,
                        1
                    ]
                ],
                "floorId": "MT24",
                "time": 0
            },
            {
                "type": "playBgm",
                "name": "truth.mp3",
                "keep": true
            }
        ]
    },
    "afterGetItem": {},
    "afterOpenDoor": {},
    "cannotMove": {},
    "map": [
    [  1,  1,  1,  1,  1,  1,  1,  1,  1,  1,  1,  1,  1],
    [  1,  0,  0,  0,  0,  0,  0,  0,  0,  0,  0,  0,  1],
    [  1,  0,  0,  0,  1,  1,  1,  1,  1,  0,  0,  0,  1],
    [  1,  0,  0,  1,  1,  0,  0,  0,  1,  1,  0,  0,  1],
    [  1,  0,  1,  1,  0,  0,  0,  0,  0,  1,  1,  0,  1],
    [  1,  0,  1,  0,  0,  1,  0,  1,  0,  0,  1,  0,  1],
    [  1,  0,  1,  0,  0,  0, 88,  0,  0,  0,  1,  0,  1],
    [  1,  0,  1,  0,  0,  1,  0,  1,  0,  0,  1,  0,  1],
    [  1,  0,  1,  1,  0,  0,  0,  0,  0,  1,  1,  0,  1],
    [  1,  0,  0,  1,  1,  0,  0,  0,  1,  1,  0,  0,  1],
    [  1,  0,247,  0,  1,  1, 83,  1,  1,  0,  0,  0,  1],
    [  1, 87,  0,  0,  0,  0,  0,  0,  0,  0,  0,  0,  1],
    [  1,  1,  1,  1,  1,  1,  1,  1,  1,  1,  1,  1,  1]
],
    "bgmap": [
    [ 17, 17, 17, 17, 17, 17, 17, 17, 17, 17, 17, 17, 17],
    [ 17,  0,  0,  0,  0,  0,  0,  0,  0,  0,  0,  0, 17],
    [ 17,  0,  0,  0,  0,  0,  0,  0,  0,  0,  0,  0, 17],
    [ 17,  0,  0,  0,  0,  0,  0,  0,  0,  0,  0,  0, 17],
    [ 17,  0,  0,  0,  0,  0,  0,  0,  0,  0,  0,  0, 17],
    [ 17,  0,  0,  0,  0,  0,  0,  0,  0,  0,  0,  0, 17],
    [ 17,  0,  0,  0,  0,  0,  0,  0,  0,  0,  0,  0, 17],
    [ 17,  0,  0,  0,  0,  0,  0,  0,  0,  0,  0,  0, 17],
    [ 17,  0,  0,  0,  0,  0,  0,  0,  0,  0,  0,  0, 17],
    [ 17,  0,  0,  0,  0,  0,  0,  0,  0,  0,  0,  0, 17],
    [ 17,  0,  0,  0,  0,  0,  0,  0,  0,  0,  0,  0, 17],
    [ 17,  0,  0,  0,  0,  0,  0,  0,  0,  0,  0,  0, 17],
    [ 17, 17, 17, 17, 17, 17, 17, 17, 17, 17, 17, 17, 17]
],
    "fgmap": [

],
    "upFloor": [
        2,
        11
    ],
    "downFloor": [
        6,
        6
    ],
    "autoEvent": {},
    "beforeBattle": {},
    "cannotMoveIn": {}
}