main.floors.MT3=
{
    "floorId": "MT3",
    "title": "魔塔 第03层",
    "name": "第 3 层",
    "width": 13,
    "height": 13,
    "map": [
    [  1,  1,  1,  1,  1,  1,  1,  1,  1,  1,  1,  1,  1],
    [  1, 21, 28,  1, 21, 32, 21,  1,  0,  1,  0, 31,  1],
    [  1,  0, 31,  1, 32, 21, 32,  1,  0, 81,205,  0,  1],
    [  1,217,  0,  1, 21, 22, 21,  1,  0,  1,  1,  1,  1],
    [  1, 81,  1,  1,  1,  0,  1,  1,  0,  1,  0,121,  1],
    [  1,  0,  0,205,  0,  0,  0,201,  0,  0,  0,  0,  1],
    [  1, 81,  1,  1,  0,  0, 88,  1,  0,  1,  1,  1,  1],
    [  1,209,  0,  1,  1,  0,  1,  1,  0,  1, 21, 31,  1],
    [  1,  0, 21,  1,  0,  0,  0,  1,  0, 81,217,  0,  1],
    [  1, 31, 27,  1,  0,  0,  0,  1,  0,  1,  1,  1,  1],
    [  1,  1,  1,  1,  1,  0,  1,  1,202,  1,  0,  0,  1],
    [  1,  0,  0,  0,  0,  0,  0,  1,  0, 81,  0, 87,  1],
    [  1,  1,  1,  1,  1,  1,  1,  1,  1,  1,  1,  1,  1]
],
    "canFlyTo": true,
    "canFlyFrom": true,
    "canUseQuickShop": true,
    "images": [],
    "ratio": 1,
    "defaultGround": "ground",
    "bgm": "section1.mp3",
    "firstArrive": [],
    "eachArrive": [],
    "parallelDo": "",
    "events": {
        "8,5": [
            {
                "type": "setValue",
                "name": "flag:03",
                "value": "1"
            },
            {
                "type": "playSound",
                "name": "3F.mp3"
            },
            {
                "type": "setBlock",
                "number": "redKing",
                "loc": [
                    [
                        10,
                        5
                    ]
                ],
                "time": 500
            },
            {
                "type": "playSound",
                "name": "跳跃"
            },
            {
                "type": "jump",
                "from": [
                    11,
                    4
                ],
                "dxy": [
                    0,
                    0
                ],
                "time": 300,
                "keep": true
            },
            {
                "type": "setBlock",
                "number": "womanMagician",
                "loc": [
                    [
                        8,
                        4
                    ],
                    [
                        7,
                        5
                    ],
                    [
                        8,
                        6
                    ],
                    [
                        9,
                        5
                    ]
                ],
                "time": 500
            },
            {
                "type": "move",
                "loc": [
                    11,
                    4
                ],
                "time": 800,
                "keep": true,
                "steps": [
                    "down:1"
                ]
            },
            "\t[魔王,redKing]欢迎来到魔塔 你是第101位循环者 ",
            {
                "type": "openDoor",
                "loc": [
                    11,
                    6
                ]
            },
            "\t[魔王,redKing]你若能打败我所有的手下 我就与你一对一的决斗 ",
            {
                "type": "move",
                "loc": [
                    11,
                    5
                ],
                "time": 200,
                "keep": true,
                "steps": [
                    "down:3"
                ]
            },
            {
                "type": "openDoor",
                "loc": [
                    11,
                    9
                ]
            },
            "\t[魔王,redKing]现在你必须接受我的安排",
            {
                "type": "move",
                "loc": [
                    11,
                    8
                ],
                "time": 200,
                "steps": [
                    "down:3"
                ]
            },
            {
                "type": "sleep",
                "time": 200
            },
            "\t[hero]什么",
            {
                "type": "setBlock",
                "number": "book",
                "loc": [
                    [
                        11,
                        10
                    ]
                ],
                "async": true
            },
            {
                "type": "jump",
                "from": [
                    11,
                    10
                ],
                "to": [
                    11,
                    4
                ],
                "time": 500,
                "keep": true,
                "async": true
            },
            {
                "type": "setCurtain",
                "color": [
                    0,
                    0,
                    0,
                    1
                ],
                "time": 1000,
                "keep": true,
                "async": true
            },
            {
                "type": "playSound",
                "name": "zone.mp3",
                "stop": true
            },
            {
                "type": "sleep",
                "time": 300
            },
            {
                "type": "playSound",
                "name": "zone.mp3"
            },
            {
                "type": "sleep",
                "time": 150
            },
            {
                "type": "playSound",
                "name": "zone.mp3"
            },
            {
                "type": "sleep",
                "time": 300
            },
            {
                "type": "playSound",
                "name": "zone.mp3"
            },
            {
                "type": "sleep",
                "time": 150
            },
            {
                "type": "playSound",
                "name": "zone.mp3"
            },
            {
                "type": "waitAsync"
            },
            {
                "type": "setValue",
                "name": "status:hp",
                "operator": "-=",
                "value": "600"
            },
            {
                "type": "setValue",
                "name": "status:atk",
                "operator": "-=",
                "value": "90"
            },
            {
                "type": "setValue",
                "name": "status:def",
                "operator": "-=",
                "value": "90"
            },
            {
                "type": "setValue",
                "name": "flag:03",
                "value": "1"
            },
            {
                "type": "setValue",
                "name": "flag:nowWeapon",
                "value": "null"
            },
            {
                "type": "setValue",
                "name": "flag:nowShield",
                "value": "null"
            },
            {
                "type": "hide",
                "loc": [
                    [
                        7,
                        5
                    ],
                    [
                        8,
                        4
                    ],
                    [
                        8,
                        6
                    ],
                    [
                        9,
                        5
                    ],
                    [
                        10,
                        5
                    ],
                    [
                        8,
                        5
                    ]
                ],
                "time": 0
            },
            {
                "type": "sleep",
                "time": 1000
            },
            {
                "type": "changeFloor",
                "floorId": "MT2",
                "loc": [
                    3,
                    8
                ],
                "direction": "down",
                "time": 0
            }
        ]
    },
    "changeFloor": {
        "11,11": {
            "floorId": ":next",
            "stair": "downFloor",
            "time": 0
        },
        "6,6": {
            "floorId": ":before",
            "stair": "upFloor",
            "time": 0
        }
    },
    "afterBattle": {},
    "afterGetItem": {},
    "afterOpenDoor": {},
    "cannotMove": {},
    "bgmap": [
    [ 17, 17, 17, 17, 17, 17, 17, 17, 17, 17, 17, 17, 17],
    [ 17,  0,  0,  0,  0,  0,  0,  0,  0,  0,  0,  0, 17],
    [ 17,  0,  0,  0,  0,  0,  0,  0,  0,  0,  0,  0, 17],
    [ 17,  0,  0,  0,  0,  0,  0,  0,  0,  0,  0,  0, 17],
    [ 17,  0,  0,  0,  0,  0,  0,  0,  0,  0,  0,  0, 17],
    [ 17,  0,  0,  0,  0,  0,  0,  0,  0,  0,  0,  0, 17],
    [ 17,  0,  0,  0,  0,  0,  0,  0,  0,  0,  0,  0, 17],
    [ 17,  0,  0,  0,  0,  0,  0,  0,  0,  0,  0,  0, 17],
    [ 17,  0,  0,  0,  0,  0,  0,  0,  0,  0,  0,  0, 17],
    [ 17,  0,  0,  0,  0,  0,  0,  0,  0,  0,  0,  0, 17],
    [ 17,  0,  0,  0,  0,  0,  0,  0,  0,  0,  0,  0, 17],
    [ 17,  0,  0,  0,  0,  0,  0,  0,  0,  0,  0,  0, 17],
    [ 17, 17, 17, 17, 17, 17, 17, 17, 17, 17, 17, 17, 17]
],
    "fgmap": [

],
    "upFloor": [
        10,
        11
    ],
    "downFloor": [
        6,
        5
    ],
    "autoEvent": {},
    "beforeBattle": {},
    "cannotMoveIn": {}
}