main.floors.MT35=
{
    "floorId": "MT35",
    "title": "魔塔 第35层",
    "name": "第 35 层",
    "width": 13,
    "height": 13,
    "canFlyTo": true,
    "canFlyFrom": true,
    "canUseQuickShop": true,
    "images": [],
    "ratio": 4,
    "defaultGround": "ground",
    "bgm": "section4.mp3",
    "firstArrive": [
        {
            "type": "moveHero",
            "time": 100,
            "steps": [
                "up:2"
            ]
        },
        {
            "type": "sleep",
            "time": 500
        },
        {
            "type": "moveHero",
            "time": 50,
            "steps": [
                "right:0"
            ]
        },
        {
            "type": "sleep",
            "time": 500
        },
        {
            "type": "moveHero",
            "time": 50,
            "steps": [
                "left:0"
            ]
        },
        {
            "type": "sleep",
            "time": 500
        },
        {
            "type": "moveHero",
            "time": 50,
            "steps": [
                "down:0"
            ]
        },
        "\t[骑士队长,yellowKnight]你敢……",
        {
            "type": "function",
            "function": "function(){\ncore.material.enemys.yellowKnight.special = 28;\n}"
        },
        {
            "type": "setBlock",
            "number": "yellowKnight",
            "loc": [
                [
                    6,
                    4
                ]
            ],
            "time": 500
        },
        "\t[骑士队长,yellowKnight]临……临……呼哧呼哧……临阵脱逃！",
        {
            "type": "callBook"
        },
        {
            "type": "battle",
            "loc": [
                6,
                4
            ]
        },
        {
            "type": "setBlock",
            "number": "magician",
            "loc": [
                [
                    6,
                    4
                ]
            ]
        },
        "\t[骑士队长,yellowKnight]你以为……呼哧呼哧……你以为你已经非常强大了吗，嘿……",
        "\t[魔龙,magicDragon]噗~",
        {
            "type": "sleep",
            "time": 1000
        },
        {
            "type": "playSound",
            "name": "炸弹"
        },
        {
            "type": "setBlock",
            "number": "laoqi",
            "loc": [
                [
                    6,
                    4
                ]
            ]
        },
        {
            "type": "if",
            "condition": "(flag:2L==1)",
            "true": [
                {
                    "type": "show",
                    "loc": [
                        [
                            11,
                            11
                        ]
                    ],
                    "floorId": "MT2"
                }
            ],
            "false": [
                {
                    "type": "setValue",
                    "name": "flag:2L",
                    "value": "1"
                }
            ]
        }
    ],
    "eachArrive": [],
    "parallelDo": "",
    "events": {
        "5,3": {
            "trigger": null,
            "enable": false,
            "noPass": null,
            "displayDamage": true,
            "opacity": 1,
            "filter": {
                "blur": 0,
                "hue": 0,
                "grayscale": 0,
                "invert": false,
                "shadow": 0
            },
            "data": [
                "\t[小偷,thief]你好 暗道已挖好  我要去45层了 再见",
                "\t[小偷,thief]对了 这个可能对你有用 不用谢",
                {
                    "type": "setValue",
                    "name": "item:upFly",
                    "value": "1"
                },
                {
                    "type": "openDoor",
                    "loc": [
                        4,
                        3
                    ]
                },
                {
                    "type": "hide",
                    "remove": true,
                    "time": 500
                },
                "\t[hero]不是 骑士队长人呢",
                "\t[hero]话说他为什么这么自来熟 还说些我听不懂的话"
            ]
        }
    },
    "changeFloor": {
        "11,1": {
            "floorId": ":next",
            "stair": "downFloor",
            "time": 0
        },
        "6,6": {
            "floorId": ":before",
            "stair": "upFloor",
            "time": 0
        }
    },
    "afterBattle": {},
    "afterGetItem": {},
    "afterOpenDoor": {},
    "cannotMove": {},
    "map": [
    [  1,  1,  1,  1,  1,  1,  1,  1,  1,  1,  1,  1,  1],
    [  1,  2,  2,  2,  2,  0,  0,  0,  0,  0,  0, 87,  1],
    [  1,  2,  1,  1,  1,  1, 85,  1,  1,  1,  1,  1,  1],
    [  1,  2,  1,  2,  1,123,  0,  0,  1,  1,  1,  1,  1],
    [  1,  2,  1,  3,  1,  0,  0,  0,  1,  1,  1,  1,  1],
    [  1,  2,  1,  3,  1,189,  0,191,  1,  1,  1,  1,  1],
    [  1,  2,  1,  3,  1,192, 88,194,  1,  1,  1,  1,  1],
    [  1,  2,  1,  3,  1,195,257,196,  1,  1,  1,  1,  1],
    [  1,  2,  1,  3,  1,  0,  0,  0,  1,  1,  1,  1,  1],
    [  1,  2,  1,  2,  1,  0,  0,  0,  1,  1,  1,  1,  1],
    [  1,  2,  1,  2,  3,  0,  0,  0,  1,  1,  1,  1,  1],
    [  1,  2,  2,  2,  1,  0,  0,  0,  1,  1,  1,  1,  1],
    [  1,  1,  1,  1,  1,  1,  1,  1,  1,  1,  1,  1,  1]
],
    "bgmap": [
    [ 17, 17, 17, 17, 17, 17, 17, 17, 17, 17, 17, 17, 17],
    [ 17,  0,  0,  0,  0,  0,  0,  0,  0,  0,  0,  0, 17],
    [ 17,  0,  0,  0,  0,  0,  0,  0,  0,  0,  0,  0, 17],
    [ 17,  0,  0,  0,  0,  0,  0,  0,  0,  0,  0,  0, 17],
    [ 17,  0,  0,  0,  0,  0,  0,  0,  0,  0,  0,  0, 17],
    [ 17,  0,  0,  0,  0,  0,  0,  0,  0,  0,  0,  0, 17],
    [ 17,  0,  0,  0,  0,  0,  0,  0,  0,  0,  0,  0, 17],
    [ 17,  0,  0,  0,  0,  0,  0,  0,  0,  0,  0,  0, 17],
    [ 17,  0,  0,  0,  0,  0,  0,  0,  0,  0,  0,  0, 17],
    [ 17,  0,  0,  0,  0,  0,  0,  0,  0,  0,  0,  0, 17],
    [ 17,  0,  0,  0,  0,  0,  0,  0,  0,  0,  0,  0, 17],
    [ 17,  0,  0,  0,  0,  0,  0,  0,  0,  0,  0,  0, 17],
    [ 17, 17, 17, 17, 17, 17, 17, 17, 17, 17, 17, 17, 17]
],
    "fgmap": [
    [  0,  0,  0,  0,  0,  0,  0,  0,  0,  0,  0,  0,  0],
    [  0,  0,  0,  0,  0,  0,  0,  0,  0,  0,  0,  0,  0],
    [  0,  0,  0,  0,  0,  0,  0,  0,  0,  0,  0,  0,  0],
    [  0,  0,  0,  0,  0,  0,  0,  0,  0,  0,  0,  0,  0],
    [  0,  0,  0,  0,  0,  0,  0,  0,  0,  0,  0,  0,  0],
    [  0,  0,  0,  0,  0,  0,190,  0,  0,  0,  0,  0,  0],
    [  0,  0,  0,  0,  0,  0,  0,  0,  0,  0,  0,  0,  0],
    [  0,  0,  0,  0,  0,  0,  0,  0,  0,  0,  0,  0,  0],
    [  0,  0,  0,  0,  0,  0,  0,  0,  0,  0,  0,  0,  0],
    [  0,  0,  0,  0,  0,  0,  0,  0,  0,  0,  0,  0,  0],
    [  0,  0,  0,  0,  0,  0,  0,  0,  0,  0,  0,  0,  0],
    [  0,  0,  0,  0,  0,  0,  0,  0,  0,  0,  0,  0,  0],
    [  0,  0,  0,  0,  0,  0,  0,  0,  0,  0,  0,  0,  0]
],
    "downFloor": [
        6,
        5
    ],
    "upFloor": [
        10,
        1
    ],
    "autoEvent": {},
    "beforeBattle": {},
    "cannotMoveIn": {}
}