main.floors.MT45=
{
    "floorId": "MT45",
    "title": "魔塔 第45层",
    "name": "第 45 层",
    "width": 13,
    "height": 13,
    "map": [
    [  1,  1,  1,  1,  1,  1,  1,  1,  1,  1,  1,  1,  1],
    [  1,  0,  0,  0,  0,  0,  0,  0,  0,  0,  0, 87,  1],
    [  1,  1,  1,  1,  1,  1, 81,  1,  1,  1,  1,  1,  1],
    [  1, 27, 27,  0,  1,219,  0,220,  1,122,  0,  0,  1],
    [  1, 82,  1,228,  1,  0,  0,  0,  1,  0,  0,204,  1],
    [  1, 28, 28,  0,  1,220,125,219,  1,  1,  1, 81,  1],
    [  1, 82,  1,228,  1,  1, 88,  1,  1,121,  1,  0,  1],
    [  1,  0,  0,  0, 81,  0,  0,207,  0,  0,  0, 21,  1],
    [  1,  1, 83,  1,  1,  1,  1,  1,  1,  1,220,  0,  1],
    [  1,  0,  0,  0,  1,228,  0,  1,246,  1,  1, 81,  1],
    [  1,  0, 51,  0, 85,  0,  0, 85,  0, 81,  0,  0,  1],
    [  1,  0,  0,  0,  1,228,  0,  1,246,  1,  0, 32,  1],
    [  1,  1,  1,  1,  1,  1,  1,  1,  1,  1,  1,  1,  1]
],
    "canFlyTo": true,
    "canFlyFrom": true,
    "canUseQuickShop": true,
    "images": [],
    "ratio": 5,
    "defaultGround": "ground",
    "bgm": "section5.mp3",
    "firstArrive": [],
    "eachArrive": [],
    "parallelDo": "",
    "events": {
        "6,5": {
            "trigger": "action",
            "enable": true,
            "noPass": null,
            "displayDamage": false,
            "opacity": 1,
            "filter": {
                "blur": 0,
                "hue": 0,
                "grayscale": 0,
                "invert": false,
                "shadow": 0
            },
            "data": [
                {
                    "type": "if",
                    "condition": "(status:direction=='down')",
                    "true": [
                        {
                            "type": "battle",
                            "id": "yellowKnight"
                        },
                        {
                            "type": "hide",
                            "loc": [
                                [
                                    6,
                                    5
                                ]
                            ],
                            "time": 0
                        }
                    ],
                    "false": [
                        "\t[骑士队长,yellowKnight]啊！又是你！！",
                        {
                            "type": "move",
                            "time": 400,
                            "keep": true,
                            "steps": [
                                "up:1"
                            ]
                        },
                        {
                            "type": "setBlock",
                            "number": "redKing",
                            "loc": [
                                [
                                    6,
                                    1
                                ]
                            ],
                            "time": 400
                        },
                        {
                            "type": "openDoor",
                            "loc": [
                                6,
                                2
                            ]
                        },
                        {
                            "type": "move",
                            "loc": [
                                6,
                                1
                            ],
                            "time": 400,
                            "keep": true,
                            "steps": [
                                "down:1"
                            ]
                        },
                        "\t[魔王,redKing]你敢临阵脱逃！",
                        "\t[骑士队长,yellowKnight]哦，大王，我被魔龙熏得打不过这个勇士，不得不逃，饶了我吧",
                        "\t[redKing]你说什么？你敢再说一次！你像个胆小鬼一样逃离你负责的区域,并说出那样的话。魔塔不需要像你这样的败类，来人给我杀了。",
                        {
                            "type": "setBlock",
                            "number": "womanMagician",
                            "loc": [
                                [
                                    5,
                                    4
                                ],
                                [
                                    6,
                                    3
                                ],
                                [
                                    6,
                                    5
                                ],
                                [
                                    7,
                                    4
                                ]
                            ],
                            "time": 400
                        },
                        "\t[骑士队长,yellowKnight]饶命啊",
                        {
                            "type": "playSound",
                            "name": "attack.mp3"
                        },
                        {
                            "type": "function",
                            "function": "function(){\ncore.drawImage(\"animate\", core.statusBar.icons.battle, 0, 0, 32, 32, (6 - 1) * 32, (4 - 1) * 32, 32, 32);\nsetTimeout(function () {\n\tcore.clearMap(\"animate\", (6 - 1) * 32, (4 - 1) * 32, 32, 32);\n}, 100);\n}"
                        },
                        {
                            "type": "setBlock",
                            "number": "0",
                            "loc": [
                                [
                                    6,
                                    4
                                ]
                            ],
                            "time": 400
                        },
                        "\t[魔王,redKing]我期待着与你决斗。",
                        {
                            "type": "setBlock",
                            "number": "0",
                            "loc": [
                                [
                                    5,
                                    4
                                ],
                                [
                                    7,
                                    4
                                ],
                                [
                                    6,
                                    3
                                ],
                                [
                                    6,
                                    5
                                ],
                                [
                                    6,
                                    2
                                ]
                            ],
                            "time": 400
                        },
                        {
                            "type": "closeDoor",
                            "id": "yellowDoor",
                            "loc": [
                                6,
                                2
                            ]
                        },
                        {
                            "type": "hide",
                            "remove": true,
                            "time": 0
                        }
                    ]
                }
            ]
        }
    },
    "changeFloor": {
        "11,1": {
            "floorId": ":next",
            "stair": "downFloor",
            "time": 0
        },
        "6,6": {
            "floorId": "MT43",
            "stair": "upFloor",
            "time": 0
        }
    },
    "afterBattle": {
        "8,9": [
            {
                "type": "if",
                "condition": "flag:451",
                "true": [
                    {
                        "type": "openDoor",
                        "loc": [
                            7,
                            10
                        ]
                    }
                ],
                "false": [
                    {
                        "type": "addValue",
                        "name": "flag:451",
                        "value": "1"
                    }
                ]
            }
        ],
        "8,11": [
            {
                "type": "if",
                "condition": "flag:451",
                "true": [
                    {
                        "type": "openDoor",
                        "loc": [
                            7,
                            10
                        ]
                    }
                ],
                "false": [
                    {
                        "type": "addValue",
                        "name": "flag:451",
                        "value": "1"
                    }
                ]
            }
        ],
        "5,9": [
            {
                "type": "if",
                "condition": "flag:452",
                "true": [
                    {
                        "type": "openDoor",
                        "loc": [
                            4,
                            10
                        ]
                    }
                ],
                "false": [
                    {
                        "type": "addValue",
                        "name": "flag:452",
                        "value": "1"
                    }
                ]
            }
        ],
        "5,11": [
            {
                "type": "if",
                "condition": "flag:452",
                "true": [
                    {
                        "type": "openDoor",
                        "loc": [
                            4,
                            10
                        ]
                    }
                ],
                "false": [
                    {
                        "type": "addValue",
                        "name": "flag:452",
                        "value": "1"
                    }
                ]
            }
        ]
    },
    "afterGetItem": {},
    "afterOpenDoor": {},
    "cannotMove": {},
    "fgmap": [

],
    "bgmap": [
    [ 17, 17, 17, 17, 17, 17, 17, 17, 17, 17, 17, 17, 17],
    [ 17,  0,  0,  0,  0,  0,  0,  0,  0,  0,  0,  0, 17],
    [ 17,  0,  0,  0,  0,  0,  0,  0,  0,  0,  0,  0, 17],
    [ 17,  0,  0,  0,  0,  0,  0,  0,  0,  0,  0,  0, 17],
    [ 17,  0,  0,  0,  0,  0,  0,  0,  0,  0,  0,  0, 17],
    [ 17,  0,  0,  0,  0,  0,  0,  0,  0,  0,  0,  0, 17],
    [ 17,  0,  0,  0,  0,  0,  0,  0,  0,  0,  0,  0, 17],
    [ 17,  0,  0,  0,  0,  0,  0,  0,  0,  0,  0,  0, 17],
    [ 17,  0,  0,  0,  0,  0,  0,  0,  0,  0,  0,  0, 17],
    [ 17,  0,  0,  0,  0,  0,  0,  0,  0,  0,  0,  0, 17],
    [ 17,  0,  0,  0,  0,  0,  0,  0,  0,  0,  0,  0, 17],
    [ 17,  0,  0,  0,  0,  0,  0,  0,  0,  0,  0,  0, 17],
    [ 17, 17, 17, 17, 17, 17, 17, 17, 17, 17, 17, 17, 17]
],
    "upFloor": [
        10,
        1
    ],
    "downFloor": [
        6,
        6
    ],
    "autoEvent": {},
    "beforeBattle": {},
    "cannotMoveIn": {}
}