main.floors.MT50=
{
    "floorId": "MT50",
    "title": "魔塔 第50层",
    "name": "第 50 层",
    "width": 13,
    "height": 13,
    "map": [
    [  4,  4,  4,  4,  4,  4,  4,  4,  4,  4,  4,  4,  4],
    [  4,  4,  4,  4,  4,  4,  4,  4,  4,  4,  4,  4,  4],
    [  4,  4,  4,  4,  4,  4,  4,  4,  4,  4,  4,  4,  4],
    [  4,  4,  4,  4,  4,  4,  4,  4,  4,  4,  4,  4,  4],
    [  4,  4,  4,  4,  1,  1,  1,  1,  1,  4,  4,  4,  4],
    [  4,  4,  4,  4,  1,  0,123,  0,  1,  4,  4,  4,  4],
    [  4,  4,  4,  4,  1,  0,  0,  0,  1,  4,  4,  4,  4],
    [  4,  4,  4,  4,  1,  0,  0,  0,  1,  4,  4,  4,  4],
    [  4,  4,  4,  4,  1,  1,  1,  1,  1,  4,  4,  4,  4],
    [  4,  4,  4,  4,  4,  4,  4,  4,  4,  4,  4,  4,  4],
    [  4,  4,  4,  4,  4,  4,  4,  4,  4,  4,  4,  4,  4],
    [  4,  4,  4,  4,  4,  4,  4,  4,  4,  4,  4,  4,  4],
    [  4,  4,  4,  4,  4,  4,  4,  4,  4,  4,  4,  4,  4]
],
    "canFlyTo": false,
    "canFlyFrom": false,
    "canUseQuickShop": true,
    "images": [],
    "ratio": 5,
    "defaultGround": "ground",
    "bgm": null,
    "firstArrive": [],
    "eachArrive": [],
    "parallelDo": "",
    "events": {
        "6,5": [
            "\t[hero]你怎会在这里！你到底是谁？",
            "\t[小偷,thief]我在这里只有一个理由，那就是…",
            {
                "type": "hide",
                "time": 500
            },
            {
                "type": "setBlock",
                "number": "249"
            },
            {
                "type": "show",
                "time": 500
            },
            "\t[hero]啊！你就是魔王！你怎么还活着？",
            "\t[redKing]事到如今你还没发现吗？也对，每次循环都会使得你越来越神志不清",
            "\t[hero]什么？你这是什么意思？",
            "\t[redKing]神圣剑 是你拥有的武器，智慧权杖 是我所拥有的武器。传说中说过无论谁使用它们都必需要有足够的智慧，且剑只能被真正的战士使用。",
            "\t[hero]如你所说我就是那个战士",
            "\t[redKing]是的，你是最合适的人选。但你刚到魔塔时，你的能力还不足以支配神圣剑。因此我在塔内安排了各类机关，让你通过战斗直到可以控制神圣剑。",
            "\t[hero]很好，那么外面传说有一个公主被困在魔塔，就是为了把我骗到这里。是这样的吗？",
            "\t[redKing]是的。不过刚刚那些说辞都是我以前准备的，现在我们先打一架再说。",
            "\t[hero]？"
        ]
    },
    "changeFloor": {},
    "afterBattle": {
        "6,5": [
            {
                "type": "if",
                "condition": "flag:addhp",
                "true": [
                    {
                        "type": "win",
                        "reason": "通关疯狂加血版魔塔"
                    }
                ],
                "false": [
                    {
                        "type": "if",
                        "condition": "((item:pickaxe>0 || item:earthquake>0) &&( item:downFly>0))",
                        "true": [
                            {
                                "type": "animate",
                                "name": "zone",
                                "loc": "hero"
                            },
                            "\t[魔王,redKing]你是如此的强大…居然能打败我…什么…我居然被封印了…啊…",
                            {
                                "type": "if",
                                "condition": "(flag:end>=1)",
                                "true": [
                                    "\t[魔王,redKing]可惜了，就差一步……",
                                    {
                                        "type": "choices",
                                        "text": "\t[大法师,blackMagician]选择计分方式",
                                        "choices": [
                                            {
                                                "text": "穿墙次数",
                                                "action": [
                                                    {
                                                        "type": "setValue",
                                                        "name": "status:hp",
                                                        "value": "1000-flags.end"
                                                    },
                                                    {
                                                        "type": "win",
                                                        "reason": "True End（穿墙次数）"
                                                    }
                                                ]
                                            },
                                            {
                                                "text": "生命",
                                                "action": [
                                                    {
                                                        "type": "win",
                                                        "reason": "True End（生命）"
                                                    }
                                                ]
                                            }
                                        ]
                                    }
                                ],
                                "false": [
                                    {
                                        "type": "setBlock",
                                        "number": "redKing"
                                    },
                                    "\t[魔王,redKing]很好……勇士……你一定能……",
                                    {
                                        "type": "setBlock",
                                        "number": "0",
                                        "time": 500
                                    },
                                    {
                                        "type": "vibrate",
                                        "direction": "diagonal1",
                                        "time": 2000,
                                        "speed": 10,
                                        "power": 10
                                    },
                                    "\t[勇士,hero]发生肾末事了",
                                    {
                                        "type": "setBlock",
                                        "number": "upFloor",
                                        "loc": [
                                            [
                                                6,
                                                6
                                            ]
                                        ],
                                        "time": 500
                                    },
                                    "\t[楼梯,upFloor]哈哈哈，你居然封印了魔王并且除了用道具外对墙体毫无破坏",
                                    "\t[楼梯,upFloor]现在我可以自由的在魔塔的躯壳中进进出出了！",
                                    {
                                        "type": "vibrate",
                                        "direction": "diagonal1",
                                        "time": 2000,
                                        "speed": 10,
                                        "power": 10,
                                        "async": true
                                    },
                                    {
                                        "type": "setBlock",
                                        "number": "downFloor",
                                        "loc": [
                                            [
                                                6,
                                                6
                                            ]
                                        ],
                                        "time": 500
                                    },
                                    {
                                        "type": "setBlock",
                                        "number": "upFloor",
                                        "loc": [
                                            [
                                                6,
                                                6
                                            ]
                                        ],
                                        "time": 500
                                    },
                                    {
                                        "type": "setBlock",
                                        "number": "downFloor",
                                        "loc": [
                                            [
                                                6,
                                                6
                                            ]
                                        ],
                                        "time": 500
                                    },
                                    {
                                        "type": "setBlock",
                                        "number": "upFloor",
                                        "loc": [
                                            [
                                                6,
                                                6
                                            ]
                                        ],
                                        "time": 500
                                    },
                                    {
                                        "type": "waitAsync"
                                    },
                                    "\t[勇士,hero]停！",
                                    "\t[勇士,hero]我是不会让你如此凌辱魔塔的！",
                                    "\t[楼梯,upFloor]就凭你？败于我的循环抽插之中吧！",
                                    {
                                        "type": "setBlock",
                                        "number": "E335",
                                        "loc": [
                                            [
                                                6,
                                                6
                                            ]
                                        ],
                                        "time": 0
                                    }
                                ]
                            }
                        ],
                        "false": [
                            "\t[魔王,redKing]你是如此的强大…居然能打败我…但是你封印不了我…唉……下次见",
                            {
                                "type": "if",
                                "condition": "(flag:end>=1)",
                                "true": [
                                    {
                                        "type": "choices",
                                        "text": "\t[大法师,blackMagician]选择计分方式",
                                        "choices": [
                                            {
                                                "text": "穿墙次数",
                                                "action": [
                                                    {
                                                        "type": "setValue",
                                                        "name": "status:hp",
                                                        "value": "1000-flags.end"
                                                    },
                                                    {
                                                        "type": "win",
                                                        "reason": "Normal End（穿墙次数）"
                                                    }
                                                ]
                                            },
                                            {
                                                "text": "生命",
                                                "action": [
                                                    {
                                                        "type": "win",
                                                        "reason": "Normal End（生命）"
                                                    }
                                                ]
                                            }
                                        ]
                                    }
                                ],
                                "false": [
                                    {
                                        "type": "win",
                                        "reason": "Normal End（不穿墙通关）"
                                    }
                                ]
                            }
                        ]
                    }
                ]
            }
        ],
        "6,6": [
            {
                "type": "setCurtain",
                "color": [
                    0,
                    0,
                    0,
                    1
                ],
                "time": 500,
                "keep": true
            },
            "\t[大法师,blackMagician]就这样，勇士成功将魔塔在楼梯的魔爪中拯救，并且和魔塔永远的在了一起，可喜可贺，可喜可贺",
            {
                "type": "win",
                "reason": "Good End"
            }
        ]
    },
    "afterGetItem": {},
    "afterOpenDoor": {},
    "cannotMove": {},
    "bgmap": [
    [ 17, 17, 17, 17, 17, 17, 17, 17, 17, 17, 17, 17, 17],
    [ 17,  0,  0,  0,  0,  0,  0,  0,  0,  0,  0,  0, 17],
    [ 17,  0,  0,  0,  0,  0,  0,  0,  0,  0,  0,  0, 17],
    [ 17,  0,  0,  0,  0,  0,  0,  0,  0,  0,  0,  0, 17],
    [ 17,  0,  0,  0,  0,  0,  0,  0,  0,  0,  0,  0, 17],
    [ 17,  0,  0,  0,  0,  0,  0,  0,  0,  0,  0,  0, 17],
    [ 17,  0,  0,  0,  0,  0,  0,  0,  0,  0,  0,  0, 17],
    [ 17,  0,  0,  0,  0,  0,  0,  0,  0,  0,  0,  0, 17],
    [ 17,  0,  0,  0,  0,  0,  0,  0,  0,  0,  0,  0, 17],
    [ 17,  0,  0,  0,  0,  0,  0,  0,  0,  0,  0,  0, 17],
    [ 17,  0,  0,  0,  0,  0,  0,  0,  0,  0,  0,  0, 17],
    [ 17,  0,  0,  0,  0,  0,  0,  0,  0,  0,  0,  0, 17],
    [ 17, 17, 17, 17, 17, 17, 17, 17, 17, 17, 17, 17, 17]
],
    "fgmap": [

],
    "autoEvent": {},
    "beforeBattle": {},
    "cannotMoveIn": {}
}