main.floors.MT5=
{
    "floorId": "MT5",
    "title": "魔塔 第05层",
    "name": "第 5 层",
    "width": 13,
    "height": 13,
    "map": [
    [  1,  1,  1,  1,  1,  1,  1,  1,  1,  1,  1,  1,  1],
    [  1, 87,  1,  0,  0, 81,  0, 81,  0,  0,  1,  0,  1],
    [  1,  0,  1,  0,202,  1,  0,  1,201,201,  1,  0,  1],
    [  1,  0, 81,205,  0,  1,201,  1,  0,  0,  3,202,  1],
    [  1,  1,  1,  1, 81,  1,  0,  1, 21, 21,  1, 21,  1],
    [  1,  0,  0,201,  0,  1,  0,  1,  1,  1,  1, 21,  1],
    [  1, 35,  0,  0,202,  1, 88,  0, 21,  0,205,  0,  1],
    [  1,  1,  1,  1, 81,  1,  0,  1,  1,  1,  1,210,  1],
    [  1, 21,  0,  0,205,  1,  0,  1, 28, 21, 31,  0,  1],
    [  1,  0, 21,217,  0,  1,  0,  1, 81,  1,  1,  1,  1],
    [  1,  1,  1,  1,  1,  1,  0,  1,  0,  1,  0,  0,  1],
    [  1,  0,  0,  0,  0,  0,  0,  1,  0,  3,  0, 73,  1],
    [  1,  1,  1,  1,  1,  1,  1,  1,  1,  1,  1,  1,  1]
],
    "canFlyTo": true,
    "canFlyFrom": true,
    "canUseQuickShop": true,
    "images": [],
    "ratio": 1,
    "defaultGround": "ground",
    "bgm": "section1.mp3",
    "firstArrive": [],
    "eachArrive": [],
    "parallelDo": "",
    "events": {
        "11,6": [
            {
                "type": "if",
                "condition": "((flags.记事本==1)&&(core.getBlockId(11,11)=='wand'))",
                "true": [
                    {
                        "type": "playSound",
                        "name": "jump.mp3"
                    },
                    {
                        "type": "jump",
                        "from": [
                            11,
                            11
                        ],
                        "dxy": [
                            0,
                            0
                        ],
                        "time": 300,
                        "keep": true
                    },
                    {
                        "type": "playSound",
                        "name": "jump.mp3"
                    },
                    {
                        "type": "jump",
                        "from": [
                            11,
                            11
                        ],
                        "dxy": [
                            0,
                            0
                        ],
                        "time": 300,
                        "keep": true
                    },
                    {
                        "type": "move",
                        "loc": [
                            11,
                            11
                        ],
                        "time": 100,
                        "keep": true,
                        "steps": [
                            "left:1"
                        ]
                    },
                    {
                        "type": "openDoor",
                        "loc": [
                            9,
                            11
                        ]
                    },
                    {
                        "type": "move",
                        "loc": [
                            10,
                            11
                        ],
                        "time": 100,
                        "keep": true,
                        "steps": [
                            "left:2",
                            "up:1"
                        ]
                    },
                    {
                        "type": "openDoor",
                        "loc": [
                            8,
                            9
                        ]
                    },
                    {
                        "type": "move",
                        "loc": [
                            8,
                            10
                        ],
                        "time": 100,
                        "keep": true,
                        "steps": [
                            "up:2",
                            "right:3",
                            "up:2"
                        ]
                    },
                    {
                        "type": "setValue",
                        "name": "item:wand",
                        "value": "1"
                    },
                    {
                        "type": "hide",
                        "remove": true
                    }
                ]
            }
        ]
    },
    "changeFloor": {
        "1,1": {
            "floorId": ":next",
            "stair": "downFloor",
            "time": 0
        },
        "6,6": {
            "floorId": ":before",
            "stair": "upFloor"
        }
    },
    "afterBattle": {},
    "afterGetItem": {
        "8,8": [
            {
                "type": "setValue",
                "name": "flag:记事本",
                "value": "1"
            }
        ]
    },
    "afterOpenDoor": {},
    "cannotMove": {},
    "fgmap": [

],
    "bgmap": [
    [ 17, 17, 17, 17, 17, 17, 17, 17, 17, 17, 17, 17, 17],
    [ 17,  0,  0,  0,  0,  0,  0,  0,  0,  0,  0,  0, 17],
    [ 17,  0,  0,  0,  0,  0,  0,  0,  0,  0,  0,  0, 17],
    [ 17,  0,  0,  0,  0,  0,  0,  0,  0,  0,  0,  0, 17],
    [ 17,  0,  0,  0,  0,  0,  0,  0,  0,  0,  0,  0, 17],
    [ 17,  0,  0,  0,  0,  0,  0,  0,  0,  0,  0,  0, 17],
    [ 17,  0,  0,  0,  0,  0,  0,  0,  0,  0,  0,  0, 17],
    [ 17,  0,  0,  0,  0,  0,  0,  0,  0,  0,  0,  0, 17],
    [ 17,  0,  0,  0,  0,  0,  0,  0,  0,  0,  0,  0, 17],
    [ 17,  0,  0,  0,  0,  0,  0,  0,  0,  0,  0,  0, 17],
    [ 17,  0,  0,  0,  0,  0,  0,  0,  0,  0,  0,  0, 17],
    [ 17,  0,  0,  0,  0,  0,  0,  0,  0,  0,  0,  0, 17],
    [ 17, 17, 17, 17, 17, 17, 17, 17, 17, 17, 17, 17, 17]
],
    "upFloor": [
        1,
        2
    ],
    "downFloor": [
        6,
        5
    ],
    "autoEvent": {},
    "beforeBattle": {},
    "cannotMoveIn": {}
}